Subject: [apps-discuss] Partially fulfilled / draft-nottingham-http-new-status

From: "Markus Lanthaler" <[email-masked]>
Date: Tue, 6 Dec 2011 10:59:20 +0800

Hi,

First of all sorry for the cross-post, but I wasn't sure where to send it.

I've just stumbled across the "draft-nottingham-http-new-status" ID and was
wondering whether you considered to include a status code for partially
fulfilled requests. It is not unusual that a request can be considered as
successful even if it couldn't be fulfilled completely.

A purchase order, for example, could still be created even though not all
order items are available for order. The client can then revoke his order or
proceed with the checkout without having to place another order and risking
that other items get unavailable (think of ticketing where you often have
the possibility to reserve tickets for some minutes).

This would reduce the number of required round-trips and potential "lost
update" problems.

--

Markus Lanthaler

@markuslanthaler